QGIS Application - Bug report #5692
Can not change legend fonts in print composer
2012-05-31 07:15 PM - rcline -

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15224
Description

After adding a vector legend in print composer, | am not able to change the font for Title, Group, Layer, or Item. Any specified font size is
changed to 14 and it does not change the font type from the default. In print composer, | am able to change fonts for labels, scale bars and
attribute tables. Legend fonts can be changed in 1.7.4, therefore this is a regression.

Besides the current master, this occurs in an early March 1.9 build from KyngChaos. It does not occur in January build 1.9.90-Alpha
8ccaef7 from KyngChaos.

Associated revisions

Revision 11255713 - 2012-06-01 08:52 PM - Jiirgen Fischer

fix #5692

History

#1 - 2012-05-31 11:03 PM - Nathan Woodrow

Can't reproduce here on Linux Mint 10 or Windows.

Can someone else try this on OS X and see if something is up.

#2 - 2012-06-01 11:10 AM - Kenton Ngo

| have also seen this problem on OS X using the KyngChaos build.

#3 - 2012-06-01 11:37 AM - Jiirgen Fischer

Does https:/gist.github.com/2854257 help?

#4 - 2012-06-01 11:52 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"112557134e457834b0dbdfa0ceb0e0bf5e21e680".

2025-04-27 12



https://gist.github.com/2854257

#5 - 2012-10-03 05:22 PM - Larry Shaffer

Turned out the culprit was the Qt non-Mac-native font selection dialog.

When a font in a Qt stylesheet is applied at the QGIS app level, any non-native Qt font selection dialog (on Mac at least, maybe other platforms) that uses
the app, or one of its children, as a parent will refuse to select any font but the one defined in the stylesheet.

The composer legend item, while showing correct fonts on composer opening, could not have its fonts adjusted; or worse, the legend was unexpectedly
changed when a new font was selected, but substituted with the app font by the dialog.

Corrected across the app (for Mac) in commit commit:d8c7c15
